org.codehaus.classworlds

## Class Launcher

- java.lang.Object
- - org.codehaus.plexus.classworlds.launcher.Launcher
  - - org.codehaus.classworlds.Launcher

Deprecated.

    @Deprecated
    public class Launcher
    extends Launcher

A compatibility wrapper for org.codehaus.plexus.classworlds.launcher.Launcher provided for legacy code

Author:
  Andrew Williams

### Field Summary

### Fields inherited from class org.codehaus.plexus.classworlds.launcher.Launcher

`CLASSWORLDS_CONF, mainClassName, mainRealmName, systemClassLoader, UBERJAR_CONF_DIR, world`

### Constructor Summary

Constructors
Constructor and Description
`Launcher()` Deprecated.

### Method Summary

Methods
`static void` `main(String[] args)` Deprecated. Launch the launcher from the command line.
`static int` `mainWithExitCode(String[] args)` Deprecated. Launch the launcher.

### Methods inherited from class org.codehaus.plexus.classworlds.launcher.Launcher

`configure, getEnhancedMainMethod, getExitCode, getMainClass, getMainClassName, getMainMethod, getMainRealm, getMainRealmName, getSystemClassLoader, getWorld, launch, launchEnhanced, launchStandard, setAppMain, setSystemClassLoader, setWorld`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Launcher

    public Launcher()

Deprecated.

### Method Detail

#### main

    public static void main(String[] args)

Deprecated.
Launch the launcher from the command line. Will exit using System.exit with an exit code of 0 for success, 100 if there was an unknown exception, or some other code for an application error.

Parameters:
  `args` - The application command-line arguments.

#### mainWithExitCode

    public static int mainWithExitCode(String[] args)
                                throws Exception

Deprecated.
Launch the launcher.

Parameters:
  `args` - The application command-line arguments.
Returns:
  an integer exit code
Throws:
  `Exception` - If an error occurs.